Zum Inhalt springen

ListPlatformTenants

GET
/api/v1/platform/tenants
curl --request GET \
--url 'https://example.com/api/v1/platform/tenants?plan=Starter&state=Trial'
q
string
plan
Allowed values: Starter Business Enterprise Trial
state
Allowed values: Trial Active ReadOnly
cursor
string
limit
integer format: int32

OK

Media typeapplication/json
object
items
required
Array<object>
object
id
required
string format: uuid
slug
required
string
name
required
string
plan
required
One of:
null
state
required
One of:
null
status
required
Allowed values: Active Suspended
members
required
null | integer format: int32
createdAt
required
string format: date-time
nextCursor
required
null | string
total
null | integer format: int32
Example
{
"items": [
{
"plan": "Starter",
"state": "Trial",
"status": "Active"
}
]
}

Bad Request

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
errors
object
key
additional properties
Array<string>
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"errors": {
"additionalProperty": [
"example"
]
}
}

Forbidden

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Too Many Requests

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}